Description

Right now there doesn't seem to be any particular functionality behind a parent/child project relationship.  I'd like

to see the following:

Managers of parent projects have management access to sub-projects

Project settings are inherited by sub-projects (but overrideable)

Project artifacts can rollup to parent projects, e.g., a parent GANTT chart can show issues from all sub-projects

The project listing shows the relationship between projects, e.g., a sub-project is marked as being subordinate to

a parent project

Related issues:

Related to Redmine - Feature #4128: Copy project settings to subprojects New 2009-10-28

History

#1 - 2007-03-28 13:56 - Jean-Philippe Lang

In fact, for now, there's one functionality behind parent/child

project relationship: You can view the subproject issues in the

issue list of the parent project (using the subproject filter

that appears if the project has some subprojects).

I'll try to implement some more.

Thanks.

#2 - 2007-04-02 16:19 - Jean-Philippe Lang

Point 3 is done.

I've just committed point 4. For sub-projects, parent project

name is added on project list and project overview.

#3 - 2007-05-03 17:53 - Damien McKenna

Jean-Phillipe: have you see MantisBT?  It groups the project

listings as a heirarchy, e.g.:

Websites

oursite.com

intranet

Helpdesk

PCs

Servers

Being able to display projects like that would IMHo be a huge

usability boost.

#4 - 2007-09-10 11:02 - Damien McKenna

Thanks for r703, this works really well.

#5 - 2007-09-10 12:38 - Jean-Philippe Lang

Thanks.

The main projects list should also be displayed as a tree.

What do you think ?
#6 - 2007-09-10 19:55 - Damien McKenna

Yes, it definitely would aid usability.

#7 - 2007-09-14 09:14 - Philippe Lachaise

+1

#8 - 2007-09-14 12:49 - Jean-Philippe Lang

Do you have any suggestion concerning the view design ?

I may remove the pagination and display the projects as a simple

indented list (with no table).

#9 - 2007-12-23 18:11 - Jesse Wolfe

+1

#10 - 2008-01-12 02:22 - Mark Elrod

+1

#11 - 2008-01-12 02:27 - Mark Elrod

+1

Sub-projects should inherit versions from their parent and parent

project should combine the roadmaps, activities, etc. of its

children.

#12 - 2008-01-12 05:52 - Jean-Philippe Lang

Planned for 0.7

#13 - 2009-02-12 21:39 - Ken Sands

I'd like to see the repository creation to also use this, I use the parent projects almost as catagories which do not get repositories, the sub projects do,

I'd like for the creation of a repository in a child project to create/use a directory by the name of the parent... or the name of the parent + "_Projects" or

something so that they dont become branches in the parent's repo.

I'm going to try to hack this solution into my installation, when you get projects via soap.ProjectsWithRepositoryEnabled is there a parent project

property returned at all?

#14 - 2009-07-27 22:13 - Bill Tihen

I agree this is important for two reasons:

1) having sub-projects inherit their settings will simplify project creation -- especially in large complex project environments.

2) it will allow project management to scale over many sub-projects (expecially with the Gantt rollup feature -- which I think would by default need to

include version tracking & many people have indicated the need for this with Versions.

So here is another vote for this to happen. In fact, we are now in the position of needing this to happen.  We have the need to manage many

sub-projects within the context of a "Parent/Corporate Project" and it's versions and deadlines.

I would be pleased to see if we as a community can define what is needed.  (I think for my organization -- just the version/gantt sharing would be

enough -- since that is what we need, but other features would be welcome too.

#15 - 2009-11-16 17:24 - Robert Hopson

I've got some interest in implementing Item 2 above (inherited project settings).

Because I could see settings management become very complex, I propose:

Adding a checkbox to all the forms under Settings labeled "Include Subprojects" that is displayed when a project has one or more subprojects. 

When the box is checked, the settings (or members, or versions...) are modified across all subprojects.  This doesn't prevent different settings for

subprojects, but does make it easy to "reset" all settings.

Possibly modify the new project form to automatically inherit settings with a similar checkbox.

Ultimately I could see listing/managing subproject settings under the parent's page; this might be especially useful for project members.

#4128 describes this as well.

#16 - 2011-03-13 19:47 - Etienne Massip

- Category set to Issues
#17 - 2012-12-29 11:29 - Roman Lukmanov

+1

#18 - 2015-12-21 12:16 - Dipan Mehta

+1 . Very important for Redmine that Parent/Child issues have stronger relationships, compared to 2 independent projects. One of the important thing

is, that version should be transferable to subprojects.

#19 - 2016-01-20 03:23 - Toshi MARUYAMA

- Related to Feature #4128: Copy project settings to subprojects added

#20 - 2016-01-20 03:23 - Toshi MARUYAMA

- Description updated

- Category changed from Issues to Projects
